{ pkgs, config, ... }:

{ 
  # List packages installed in system profile.
  environment.systemPackages = with pkgs; [
    wget
    vim
    vimPlugins.vim-nix
    vimPlugins.pathogen
    tmux
    htop
    zsh
    btrfs-progs
    git
    python3
    manpages
    dnsutils
    netcat
    ntfs3g
    file
    strace
    ltrace
    valgrind
    lzop
    p7zip
    testdisk
    rsync
    pv
    #exfat
    exfat-utils
    iotop
    cifs-utils
    dstat
    lsof
    macchanger

    # for debugging WLAN failures:
    ethtool
    trace-cmd
    
    # NetworkManager stuff
    networkmanager-openconnect
    networkmanager-vpnc
    kdeApplications.akonadi-mime # for KOrganizer
    ]
  ++ (with plasma5; with kdeApplications; [
    #akonadi
    #akonadi-calendar
    #akonadi-contacts
    #akonadi-import-wizard
    #akonadi-mime
    #akonadi-notes
    #akonadi-search
    #akonadiconsole
    #akregator
    #kaddressbook
    #kalarm
    #kalarmcal
    #kcalcore
    #kcalutils
    #kcontacts
    #kdav
    #kdepim-addons
    #kdepim-apps-libs

    #kdepim-runtime
    #kidentitymanagement
    #kldap
    #kmail
    #kmailtransport
    #kmbox
    #kmime
    kontact
    kontactinterface
    #korganizer
    #kpimtextedit
    #libkdepim
    #libksieve
    #mailcommon
    #messagelib
    #pimcommon
    #pim-sieve-editor
  ]);
}


